﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using System.Media;

namespace Malefiz.Klassen_für_Spielbrett
{
    class Würfel
    {
        Image gewürfelteFläche;
        Spielbrett brett;

        /// <summary>
        /// Das Bild der gewürfelten Augenzahl.
        /// </summary>
        public Image GewürfelteFläche
        {
            get { return gewürfelteFläche; }
            set { gewürfelteFläche = value; }
        }
        


        //Konstruktor
        /// <summary>
        /// Erstellt einen Würfel für das Spielbrett. Diesem muss eine Referenz auf das Spielbrett mitgegeben werden, 
        /// damit die Methode Würfeln die gewürfelte Augenzahl auch direkt auf das Spielbrett schreiben kann.
        /// </summary>
        /// <param name="_brett">Referenz auf das Spielfeld, das diesen Würfel besitzen soll.</param>
        public Würfel(Spielbrett _brett)
        {
            brett = _brett;
        }



        /// <summary>
        /// Ermittelt eine Zufallszahl zwischen 1 und 6 und überschreibt mit dieser die Eigenschaft
        /// "Augenzahl" und die Eigenschaft NochZuGehen auf dem Brett. 
        /// Dazu muss dieser Klasse in ihrem Konstruktor eine Referenz auf das Spielbrett mitgegeben werden. 
        /// </summary>
        public void Würfeln()
        {
            SoundPlayer sound = new SoundPlayer();

            sound.Stream = pictures.Würfeln_wav;
            sound.Play();
            System.Threading.Thread.Sleep(5100);

            Random r = new Random();
            int ran = r.Next(1, 6);

            if (ran == 1)
            { GewürfelteFläche = pictures.Würfel_1; }
            if (ran == 2)
            { GewürfelteFläche = pictures.Würfel_2; }
            if (ran == 3)
            { GewürfelteFläche = pictures.Würfel_3; }
            if (ran == 4)
            { GewürfelteFläche = pictures.Würfel_4; }
            if (ran == 5)
            { GewürfelteFläche = pictures.Würfel_5; }
            if (ran == 6)
            { GewürfelteFläche = pictures.Würfel_6; }

            brett.Augenzahl = ran;
            brett.NochZuGehen = ran;
        }

        public void FakeWurf(int augenzahl)
        {
            if (augenzahl == 1)
            { GewürfelteFläche = pictures.Würfel_1; }
            if (augenzahl == 2)
            { GewürfelteFläche = pictures.Würfel_2; }
            if (augenzahl == 3)
            { GewürfelteFläche = pictures.Würfel_3; }
            if (augenzahl == 4)
            { GewürfelteFläche = pictures.Würfel_4; }
            if (augenzahl == 5)
            { GewürfelteFläche = pictures.Würfel_5; }
            if (augenzahl == 6)
            { GewürfelteFläche = pictures.Würfel_6; }

            brett.Augenzahl = augenzahl;
            brett.NochZuGehen = augenzahl;
        }
    }
}